Index: branch/lebanitou/Emb_App.tws
===================================================================
--- branch/lebanitou/Emb_App.tws	(revision 286)
+++ branch/lebanitou/Emb_App.tws	(revision 287)
@@ -17,10 +17,10 @@
 "E:\tp_info6_lebanitou\Emb_App\Debug\mrtable.a30" 
 "E:\tp_info6_lebanitou\Emb_App\programme_principal_etud.c" 
 [WORKSPACE_FILE_STATES]
-"E:\tp_info6_lebanitou\Emb_App\Debug\mrtable.a30" 25 25 1430 351 0 8 
+"E:\tp_info6_lebanitou\Emb_App\Debug\mrtable.a30" -8 -30 1596 539 1 8 
 "E:\tp_info6_lebanitou\Emb_App\conf_noyau.cfg" 150 150 1430 351 0 6 
 "E:\tp_info6_lebanitou\Emb_App\crt0mr.a30" 0 474 160 38 0 1 
-"E:\tp_info6_lebanitou\Emb_App\programme_principal_etud.c" -8 -30 1596 539 1 0 
+"E:\tp_info6_lebanitou\Emb_App\programme_principal_etud.c" 0 0 1596 539 0 0 
 "E:\tp_info6_lebanitou\bsp\can.c" 100 100 1430 351 0 4 
 "E:\tp_info6_lebanitou\bsp\clavier.c" 125 125 1430 351 0 5 
 "E:\tp_info6_lebanitou\bsp\lcd.c" 50 50 1426 347 0 2 
Index: branch/lebanitou/Emb_App/SessionM32C_E8a_system.hsf
===================================================================
--- branch/lebanitou/Emb_App/SessionM32C_E8a_system.hsf	(revision 286)
+++ branch/lebanitou/Emb_App/SessionM32C_E8a_system.hsf	(revision 287)
@@ -141,20 +141,20 @@
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWndInstanceKey0" "{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_DENORMAL_MODE" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_ROUND_MODE" "0" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000004044" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000020" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_10" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_11" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_12" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000512" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF056C" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFF800" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000FEE" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000810" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000056" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000004044" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FFFFFF" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000700" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_23" "0000000000000000" 
@@ -169,12 +169,12 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_31" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_32" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_33" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "000000000000036A" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000008" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "000000000000100C" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000512" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_COUNT" "36" 
@@ -277,11 +277,11 @@
 0 
 [WINDOW_POSITION_STATE_DATA_VD1]
 "Help" "TOOLBAR 0" 59419 2 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_00000001_CmdLine}" "WINDOW" 59422 0 1 "0.09" 365 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 1 "0.08" 365 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
 "{WK_00000001_DISASSEMBLY}" "WINDOW" 0 0 0 "0.00" 0 -4 -30 948 486 9 0 "" "0.0" 
 "{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.11" 365 0 0 350 200 18 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
 "{WK_00000001_MEMORY}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 1 "0.23" 365 2 -1 350 200 2065 0 "42202|42203|42204|42233|<<separator>>|42206|42205|42230|42229|42207|<<separator>>|42208|42209|42210|49076|42228|42227|<<separator>>|42231|42232|42234|42235|<<separator>>|42211|<<separator>>|32796|32797" "0.0" 
-"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 2 "0.69" 365 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
+"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 2 "0.70" 365 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
 "{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 3 "0.10" 365 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
 "{WK_00000001_REGISTERS}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59421 0 0 "1.00" 236 0 0 350 200 2065 0 "" "0.0" 
 "{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 4 "0.09" 365 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32772|32773|<<separator>>|32786|<<separator>>|32810|32811" "0.0" 
@@ -309,6 +309,8 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
+"E:\tp_info6_lebanitou\Emb_App\Debug\mrtable.a30" 
+"E:\tp_info6_lebanitou\bsp\uart0.c" 
 "E:\tp_info6_lebanitou\Emb_App\programme_principal_etud.c" 
 "E:\tp_info6_lebanitou\Emb_App\crt0mr.a30" 
 "E:\tp_info6_lebanitou\Emb_App\conf_noyau.cfg" 
@@ -362,5 +364,5 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 89787784 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 91015200 1 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/lebanitou/Emb_App/programme_principal_etud.c
===================================================================
--- branch/lebanitou/Emb_App/programme_principal_etud.c	(revision 286)
+++ branch/lebanitou/Emb_App/programme_principal_etud.c	(revision 287)
@@ -118,13 +118,17 @@
 //'j'/106/06A : Récupération du résultat de dernier code envoyé. 0x77 si aucun code n'a été soumis. <0 si la réponse n'est pas
 //				disponible. 0xab avec a-> nombre de couleurs bien placées et b -> couleurs présentes mais mal placées.
 //'I'/73/Ox49 : Définition du nom du véhicule. Doit débuter par le caractère '#' et entraine le chargement de la configuration de piste
-//				correspondant au nom du véhicule si le nom se termine par '*'
- //variables globales utilisées par les asservissements
- int pos_tourelle;//position de la tourelle
- int vitesse;
+//				correspondant au nom du véhicule si le nom se termine par '*'
+
+//variables globales utilisées par les asservissements
+
+int pos_tourelle;             //position de la tourelle
+int vitesse;
+int pos;
+UINT flag;
 CanFrame comm;
-consigne=450; // valeur de la consigne
-k=1;  // gain
+int consigne=584;                 // valeur de la consigne
+int k=1;                          // gain
 int angle=0;
 int valeur=0;
 
@@ -133,44 +137,30 @@
 
 void rotation()
 {
-//LED_V=!LED_V;
-CanFrame comm;
-
-comm.data.id= 'T';
-comm.data.rtr= 0;//indique une écriture
-comm.data.val= 120;
-snd_dtq(CanTx, comm.msg);
-
+    CanFrame comm;
+	comm.data.id= 'T';
+	comm.data.rtr= 0;           //indique une écriture
+	comm.data.val= 120;
 }
 
 
-//envoie la voiture 
+//envoie la voiture 
+
 void essai() 
 {
-while(1){
-comm.data.id= 'V';
-comm.data.rtr= 0;//indique une écriture
-comm.data.val= 10;
-snd_dtq(CanTx, comm.msg);
-dly_tsk(15);
-}
+	while(1){
+		comm.data.id= 'V';
+		comm.data.rtr= 0;           //indique une écriture
+		comm.data.val= 25;
+		snd_dtq(CanTx, comm.msg);
+		dly_tsk(50);
+	}
 }
 
-// direction des roues
-//void try() 
-//{
-//while(1){
-//comm.data.id= 'D';
-//comm.data.rtr= 0;//indique une écriture
-//comm.data.val= 18;
-//snd_dtq(CanTx, comm.msg);
-//}
-//}
 
 
+// asservissement tourelle
 
-
-// asservissement tourelle
 void asservis()
 {
 	CanFrame requete ;
@@ -177,28 +167,71 @@
 	CanFrame reponse;
 	CanFrame commande;
 
-	
-	while(1)
-	{
-	requete.data.id='R';
-	requete.data.rtr=1;          //Indique une requête de lecture
-	snd_dtq(CanTx, requete.msg);
-	
-	angle=periph[ADDR('R')].val;
-	
-	
+	while(1){
+		requete.data.id='R';
+		requete.data.rtr=1;                   //Indique une requête de lecture
+		snd_dtq(CanTx, requete.msg);
+		dly_tsk(5);
+		angle=periph[ADDR('R')].val;
+		comm.data.id= 'T';
+	    comm.data.rtr= 0;
+		valeur=k*(consigne-angle);
+		comm.data.val=valeur;
+		snd_dtq(CanTx, comm.msg);
+		dly_tsk(20);
+	}		
+}
 
+// asservissement direction des roues
+
+void direction()
+{
+	CanFrame requete ;
+	CanFrame reponse;
+	CanFrame commande;
 	
-	comm.data.id= 'T';
-    comm.data.rtr= 0;
-	valeur=k*(consigne-angle);
-	rcv_dtq(CanRx, &reponse.msg);
-	valeur=commande.data.val;
-	dly_tsk(100);
+	while(1){
+		requete.data.id='U';
+		requete.data.rtr=1;                   //Indique une requête de lecture
+		snd_dtq(CanTx, requete.msg);
+		angle=periph[ADDR('U')].val;
+		commande.data.id= 'D';
+	    commande.data.rtr= 0;
+		valeur=k*(consigne-angle);
+		commande.data.val=-valeur;
+		snd_dtq(CanTx, commande.msg);
+		dly_tsk(5);
 	}		
 }
 
 
+// distance 
+
+void distance() 
+{
+	CanFrame demande;
+	CanFrame reponse;
+	while(1){
+		demande.data.id='U'; 
+		demande.data.rtr=1;
+		snd_dtq (CanTx,demande.msg);      // Interrogation du peripherique
+		dly_tsk(5);
+		pos=periph[ADDR('U')].val;        //lecture de la valeur
+		dly_tsk(10);
+		
+		if(periph[ADDR('U')].val>2000)
+		{
+		pos=584;	
+		}
+		
+		else
+		{
+		pos=periph[ADDR('U')].val;
+		dly_tsk(10);
+		}
+	}
+}
+
 void main()
 {
 	
@@ -205,32 +238,24 @@
 	ports_mcu();
     lcd_init();
 	periph_init();
-	periph_nom("#AutoTest*");
-
-
+	periph_nom("#AutoTest*");
     can_init();
     clavier_init(1);
-	capture_init();
-
-
-//sta_tsk(ID_try);
-//sta_tsk(ID_decode);
-//sta_tsk(ID_clavier);
-//sta_cyc(ID_acqui);
-
-sta_tsk(ID_asservis);
-sta_tsk(ID_rotation);
-    while(1)
-    {
-	
-	LED_J=1;
-	dly_tsk(100);
-	LED_J=0;
-	dly_tsk(100);
- 
+	capture_init();
+	sta_tsk(ID_asservis);
+	sta_tsk(ID_periph_rx);
+	//sta_tsk(ID_rotation);
+	sta_tsk(ID_direction);
+	//sta_tsk(ID_distance);
+	dly_tsk(2000);
+	sta_tsk(ID_essai);
+    while(1){
+		LED_J=1;
+		dly_tsk(100);
+		LED_J=0;
+		dly_tsk(100);
+	}	
 }
-	
-}
 
 		
 
Index: branch/lebanitou/Emb_App/conf_noyau.cfg
===================================================================
--- branch/lebanitou/Emb_App/conf_noyau.cfg	(revision 286)
+++ branch/lebanitou/Emb_App/conf_noyau.cfg	(revision 287)
@@ -148,7 +148,7 @@
 	stack_size	= 512;
 	stack_section	= stack;
 	priority	= 8;
-	initial_start	= ON;
+	initial_start	= OFF;
 	exinf	= 0x0;
 };
 
@@ -160,7 +160,7 @@
 	stack_size	= 512;
 	stack_section	= stack;
 	priority	= 8;
-	initial_start	= ON;
+	initial_start	= OFF;
 	exinf	= 0x0;
 };
 
@@ -170,11 +170,29 @@
 	stack_size	= 512;
 	stack_section	= stack;
 	priority	= 8;
-	initial_start	= ON;
+	initial_start	= OFF;
 	exinf	= 0x0;
 };
 
+task[]{
+	entry_address	= direction();
+	name	= ID_direction;
+	stack_size	= 512;
+	stack_section	= stack;
+	priority	= 8;
+	initial_start	= OFF;
+	exinf	= 0x0;
+};
 
+task[]{
+	entry_address	= distance();
+	name	= ID_distance;
+	stack_size	= 512;
+	stack_section	= stack;
+	priority	= 8;
+	initial_start	= OFF;
+	exinf	= 0x0;
+};
 
 
 
@@ -182,6 +200,8 @@
 
 
 
+
+
 //
 // End of Configuration
 //