Index: branch/toribio/Emb_App.tws
===================================================================
--- branch/toribio/Emb_App.tws	(revision 288)
+++ branch/toribio/Emb_App.tws	(revision 289)
@@ -7,9 +7,19 @@
 [GENERAL_DATA]
 [BREAKPOINTS]
 [OPEN_WORKSPACE_FILES]
+"E:\tp_info6_2018_toribio\tp_info6\bsp\periph.c" 
+"E:\tp_info6_2018_toribio\tp_info6\bsp\uart0.c" 
+"E:\tp_info6_2018_toribio\tp_info6\Emb_App\conf_noyau.cfg" 
+"E:\tp_info6_2018_toribio\tp_info6\Emb_App\crt0mr.a30" 
+"E:\tp_info6_2018_toribio\tp_info6\Emb_App\Debug\mr308.inc" 
 "E:\tp_info6_2018_toribio\tp_info6\Emb_App\programme_principal_etud.c" 
 [WORKSPACE_FILE_STATES]
+"E:\tp_info6_2018_toribio\tp_info6\Emb_App\Debug\mr308.inc" 50 50 1430 351 0 2 
+"E:\tp_info6_2018_toribio\tp_info6\Emb_App\conf_noyau.cfg" 75 75 1430 351 0 3 
+"E:\tp_info6_2018_toribio\tp_info6\Emb_App\crt0mr.a30" 25 25 1430 351 0 1 
 "E:\tp_info6_2018_toribio\tp_info6\Emb_App\programme_principal_etud.c" -8 -30 1596 539 1 0 
+"E:\tp_info6_2018_toribio\tp_info6\bsp\periph.c" 100 100 1430 351 0 4 
+"E:\tp_info6_2018_toribio\tp_info6\bsp\uart0.c" 125 125 1430 351 0 5 
 [LOADED_PROJECTS]
 "EmbM32C87App" 
 [END]
Index: branch/toribio/Emb_App/SessionM32C_E8a_system.ini
===================================================================
--- branch/toribio/Emb_App/SessionM32C_E8a_system.ini	(revision 288)
+++ branch/toribio/Emb_App/SessionM32C_E8a_system.ini	(revision 289)
@@ -25,4 +25,4 @@
 [Target]
 M32C E8a SYSTEM=Renesas Communications
 [USER_DATA]
-RESET=ff001e
+RESET=ff001c
Index: branch/toribio/Emb_App/SessionM32C_E8a_system.hsf
===================================================================
--- branch/toribio/Emb_App/SessionM32C_E8a_system.hsf	(revision 288)
+++ branch/toribio/Emb_App/SessionM32C_E8a_system.hsf	(revision 289)
@@ -8,7 +8,7 @@
 "" 
 [GENERAL_DATA]
 "FIRST_CONNECTION_TAG" "NO" 
-"MRULABELS_DATAMANAGER_KEY" "FFFFFF|000000|500" 
+"MRULABELS_DATAMANAGER_KEY" "616|FFFFFF|000000|0612|500" 
 "RESET_CPU_AFTER_DOWNLOAD_TAG" "VARIANT_TRUE_STORE_TAG" 
 "{287A8023-99B5-49E1-A54E-4DDCA43D7959}MapCtrlECX_MAP_FIND_SYMBOL_LIST" "" 
 "{287A8023-99B5-49E1-A54E-4DDCA43D7959}MapCtrlViews" "0" 
@@ -29,7 +29,7 @@
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}TclTkCtrlLogFileName" "" 
 "{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_COMPARE_END_ADDRESS" "" 
 "{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_COMPARE_START_ADDRESS" "" 
-"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_DISPLAY_DEST_ADDRESS" "500" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_DISPLAY_DEST_ADDRESS" "0612" 
 "{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_DISPLAY_END_ADDRESS" "FFFFFF" 
 "{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_DISPLAY_START_ADDRESS" "000000" 
 "{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_FILL_END_ADDRESS" "" 
@@ -141,8 +141,8 @@
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWndInstanceKey0" "{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_DENORMAL_MODE" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_ROUND_MODE" "0" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000004044" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000020" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000001" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_10" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_11" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_12" "0000000000000000" 
@@ -149,12 +149,12 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000512" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF056E" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF33EA" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFF800" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000928" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "000000000000074A" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000A66" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "000000000000086A" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000004004" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "00000000000000C0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_23" "0000000000000000" 
@@ -171,9 +171,9 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_33" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "000000000000036A" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000008" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000946" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000007" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000030000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000A66" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000512" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
@@ -205,9 +205,15 @@
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth2" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth3" "200" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH" "c,buff,n,rx,flag," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000" "dma0_fin_tr, 2, 0, P, Col, Hex, MN" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000" "virage, 1, 0, P, Col, Dec, MA" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000_SCOPE" "Current Scope," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "0" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001" "numcapt, 1, 0, P, Col, Dec, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0002" "sauter, 1, 0, P, Col, Dec, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0002_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0003" "trouV, 1, 0, P, Col, Hex, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0003_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "4" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth0" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth1" "150" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth12" "200" 
@@ -277,14 +283,14 @@
 0 
 [WINDOW_POSITION_STATE_DATA_VD1]
 "Help" "TOOLBAR 0" 59419 2 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_00000001_CmdLine}" "WINDOW" 59422 0 0 "0.14" 365 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
-"{WK_00000001_DISASSEMBLY}" "WINDOW" 0 0 0 "0.00" 0 -4 -30 948 486 9 0 "" "0.0" 
-"{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.16" 365 0 0 350 200 18 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
-"{WK_00000001_MEMORY}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 1 "0.23" 365 2 -1 350 200 2065 0 "42202|42203|42204|42233|<<separator>>|42206|42205|42230|42229|42207|<<separator>>|42208|42209|42210|49076|42228|42227|<<separator>>|42231|42232|42234|42235|<<separator>>|42211|<<separator>>|32796|32797" "0.0" 
-"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 1 "1.00" 365 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
-"{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 3 "0.15" 365 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 2 "0.09" 365 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
+"{WK_00000001_DISASSEMBLY}" "WINDOW" 0 0 0 "0.00" 0 150 150 1430 351 10 0 "" "0.0" 
+"{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.06" 365 0 0 350 200 18 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
+"{WK_00000001_MEMORY}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 1 "0.30" 365 2 -1 350 200 2065 0 "42202|42203|42204|42233|<<separator>>|42206|42205|42230|42229|42207|<<separator>>|42208|42209|42210|49076|42228|42227|<<separator>>|42231|42232|42234|42235|<<separator>>|42211|<<separator>>|32796|32797" "0.0" 
+"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 3 "0.65" 365 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
+"{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 4 "0.10" 365 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
 "{WK_00000001_REGISTERS}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59421 0 0 "1.00" 236 0 0 350 200 2065 0 "" "0.0" 
-"{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 4 "0.13" 365 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32772|32773|<<separator>>|32786|<<separator>>|32810|32811" "0.0" 
+"{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 1 "0.19" 365 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32772|32773|<<separator>>|32786|<<separator>>|32810|32811" "0.0" 
 "{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 308 0 0 350 200 18 0 "" "0.0" 
 "{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 "{WK_TB00000002_EDITOR}" "TOOLBAR 0" 59419 0 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
@@ -309,7 +315,13 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" 
+"E:\tp_info6_2018_toribio\tp_info6\Emb_App\programme_principal_etud.c" 
+"E:\tp_info6_2018_toribio\tp_info6\Emb_App\crt0mr.a30" 
+"E:\tp_info6_2018_toribio\tp_info6\Emb_App\Debug\mr308.inc" 
+"E:\tp_info6_2018_toribio\tp_info6\Emb_App\conf_noyau.cfg" 
+"E:\tp_info6_2018_toribio\tp_info6\bsp\uart0.c" 
+"E:\tp_info6_2018_toribio\tp_info6\Emb_App\Debug\Disassembly" 
+"E:\tp_info6_2018_toribio\tp_info6\bsp\periph.c" 
 [TARGET_NAME]
 "M32C E8a SYSTEM" "" 0 
 [STATUSBAR_STATEINFO_VD1]
@@ -356,5 +368,5 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 0 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 95164360 1 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/toribio/Emb_App/programme_principal_etud.c
===================================================================
--- branch/toribio/Emb_App/programme_principal_etud.c	(revision 288)
+++ branch/toribio/Emb_App/programme_principal_etud.c	(revision 289)
@@ -123,36 +123,36 @@
 //				correspondant au nom du véhicule si le nom se termine par '*'
 
 short alpha;
-short distance;
+unsigned short distance;
 short angleR;
 /*short vitesse;*/
 short virage=0;
 short numcapt=0;
 short sauter=0;
-short trouV=0;
 
 
+
 void asserv0(){
 	while(1){
-	short k=1; //Gain du correcteur P
-	//lecture de la position de la tourelle
-	CanFrame req,comm;
-	UINT flag;
+		short k=1; //Gain du correcteur P
+		//lecture de la position de la tourelle
+		CanFrame req,comm;
+		UINT flag;
 	
-	req.data.id='R';
-	req.data.rtr=1;
-	periph[ADDR('R')].ev=0x01;
-	snd_dtq(CanTx, req.msg);
-	//Attente de la réponse
-	wai_flg (ev_periph, 0x01, TWF_ANDW, &flag);
-	alpha=periph[ADDR('R')].val;
+		req.data.id='R';
+		req.data.rtr=1;
+		periph[ADDR('R')].ev=0x01;
+		snd_dtq(CanTx, req.msg);
+		//Attente de la réponse
+		wai_flg (ev_periph, 0x01, TWF_ANDW, &flag);
+		alpha=periph[ADDR('R')].val;
 
-	//Commande vitesse de la tourelle
-	comm.data.id='T';
-	comm.data.rtr=0; //indique une écriture
-	comm.data.val=k*(450/*ou ad00*/-alpha);
-	snd_dtq(CanTx, comm.msg);
-	dly_tsk(5);
+		//Commande vitesse de la tourelle
+		comm.data.id='T';
+		comm.data.rtr=0; //indique une écriture
+		comm.data.val=k*(450/*ou ad00*/-alpha);
+		snd_dtq(CanTx, comm.msg);
+		dly_tsk(5);
 	}
 	
 }
@@ -159,89 +159,87 @@
 
 void dist(){
 	while(1){
-	//lecture de la distance du mur
-	CanFrame req;
-	UINT flag;
+		//lecture de la distance du mur
+		CanFrame req;
+		UINT flag;
 	
-	req.data.id='U';
-	req.data.rtr=1;
-	periph[ADDR('U')].ev=0x02;
-	snd_dtq(CanTx, req.msg);
-	//Attente de la réponse
-	wai_flg (ev_periph, 0x02, TWF_ANDW, &flag);
-	distance=periph[ADDR('U')].val;
-	dly_tsk(5);}
+		req.data.id='U';
+		req.data.rtr=1;
+		periph[ADDR('U')].ev=0x02;
+		snd_dtq(CanTx, req.msg);
+		//Attente de la réponse
+		wai_flg (ev_periph, 0x02, TWF_ANDW, &flag);
+		distance=periph[ADDR('U')].val;
+		dly_tsk(5);
+	}
 	
 }
 
 void roue(){
 	while(1){
-	short k=2; //Gain du correcteur P
-//lecture de la position de la roue
-	CanFrame req,comm;
-	UINT flag;
-if (sauter==0){
-	//Commande de l'angle de roue
-	comm.data.id='D';
-	comm.data.rtr=0; //indique une écriture
-	if (distance>1000);
-	else comm.data.val=k*(distance-700);
-	snd_dtq(CanTx, comm.msg);
-	dly_tsk(5);	
-}
+		short k=2; //Gain du correcteur P
+		//lecture de la position de la roue
+		CanFrame req,comm;
+		UINT flag;
+		if (sauter==0){
+			//Commande de l'angle de roue
+			comm.data.id='D';
+			comm.data.rtr=0; //indique une écriture
+			if (distance>1000);
+			else comm.data.val=k*(distance-700);
+			snd_dtq(CanTx, comm.msg);
+			dly_tsk(5);	
+		}
  
- else if (sauter==2){
-	//Commande de l'angle de roue
-	comm.data.id='D';
-	comm.data.rtr=0; //indique une écriture
-	if (distance>1000);
-	else comm.data.val=k*(distance-610);//on tourne un peu plus pour le saut
-	snd_dtq(CanTx, comm.msg);
-	dly_tsk(5);	
+ 		else if (sauter==2){
+			//Commande de l'angle de roue
+			comm.data.id='D';
+			comm.data.rtr=0; //indique une écriture
+			if (distance>1000);
+			else comm.data.val=k*(distance-610);//on tourne un peu plus pour le saut
+			snd_dtq(CanTx, comm.msg);
+			dly_tsk(5);	
+		}
+		 
+	 	 else if (sauter==3 ){
+			//Commande de l'angle de roue
+			comm.data.id='D';
+			comm.data.rtr=0; //indique une écriture
+			if (distance>1000);
+			else comm.data.val=k*(distance-700);
+			snd_dtq(CanTx, comm.msg);
+			dly_tsk(5);	
+		}
+ 		else if (sauter==1 ){
+			//Commande de l'angle de roue
+			comm.data.id='D';
+			comm.data.rtr=0; //indique une écriture
+			if (distance>1000);
+			else comm.data.val=0;
+			snd_dtq(CanTx, comm.msg);
+			dly_tsk(5);	
+		}
+	}
 }
-  else if (sauter==3 ){
-	//Commande de l'angle de roue
-	comm.data.id='D';
-	comm.data.rtr=0; //indique une écriture
-	if (distance>1000);
-	else comm.data.val=k*(distance-700);
-	snd_dtq(CanTx, comm.msg);
-	dly_tsk(5);	
-}
- else if (sauter==1 ){
-	//Commande de l'angle de roue
-	comm.data.id='D';
-	comm.data.rtr=0; //indique une écriture
-	if (distance>1000);
-	else comm.data.val=0;
-	snd_dtq(CanTx, comm.msg);
-	dly_tsk(5);	
-}}
 
-
-
-
-}
-
 void regvitesse(){
-	
 	CanFrame requete;
-
-	dly_tsk(5000);
-
+	dly_tsk(3500); //delai avant départ	
 	
-	while(1)
-	{requete.data.id='V';
-	requete.data.rtr=0;
-	if (sauter==1){   //augmentation de la vitesse pour sauter
-	requete.data.val=45;}
-	else if (sauter==2){	  //diminution vitesse pour preparer saut
-	requete.data.val=25;}
-	else if (sauter==3){	  //diminution vitesse pour après saut
-	requete.data.val=15;}
-	else if (sauter==0){requete.data.val=35;} //pas de saut
-	snd_dtq(CanTx, requete.msg);
-	dly_tsk(5);}
+	while(1){
+		requete.data.id='V';
+		requete.data.rtr=0;
+		if (sauter==1){   //augmentation de la vitesse pour sauter
+			requete.data.val=45;}
+		else if (sauter==2){	  //diminution vitesse pour preparer saut
+			requete.data.val=25;}
+		else if (sauter==3){	  //diminution vitesse pour après saut
+			requete.data.val=10;}
+		else if (sauter==0){
+			requete.data.val=35;} //pas de saut
+		snd_dtq(CanTx, requete.msg);
+		dly_tsk(5);
+	}
 	
 		
 
@@ -249,37 +247,38 @@
 
 void zone(){
 	while(1){
-	//lecture de la zone
-	CanFrame req;
-	UINT flag;
+		//lecture de la zone
+		CanFrame req;
+		UINT flag;
 	
-	req.data.id='C';
-	req.data.rtr=1;
-	periph[ADDR('C')].ev=0x03;
-	snd_dtq(CanTx, req.msg);
-	//Attente de la réponse
-	wai_flg (ev_periph, 0x03, TWF_ANDW, &flag);
-	virage=periph[ADDR('C')].val;
-	numcapt=virage & 0x00ff;
-	virage=virage & 0xff00;
-	dly_tsk(5);}
-	
+		req.data.id='C';
+		req.data.rtr=1;
+		periph[ADDR('C')].ev=0x03;
+		snd_dtq(CanTx, req.msg);
+		//Attente de la réponse
+		wai_flg (ev_periph, 0x03, TWF_ANDW, &flag);
+		virage=periph[ADDR('C')].val;
+		numcapt=virage & 0x00ff;
+		virage=virage & 0xff00;
+		dly_tsk(5);
+	}
 }
 
 void saut(){
 	while(1){
-    if (numcapt==2 && virage==20992){
-		sauter=2; //préparation au saut
-	}	
-	else if (numcapt==3 && virage!=16896)
-	{	sauter=1; //Renvoie 1 si c'est la zone du saut
-		}
-	else if (numcapt==3 && virage==16896){
-		sauter=3;} // virage apres saut
+	    if (numcapt==2 && virage==20992){
+			sauter=2; //préparation au saut
+		}	
+		else if (numcapt==3 && virage!=16896){
+			sauter=1; //Renvoie 1 si c'est la zone du saut
+			}
+		else if (numcapt==3 && virage==16896){
+			sauter=3;} // virage apres saut
 		
-	else if (numcapt==4 && virage==22016){
-		sauter=0;} // retour à la regulation normal
-	dly_tsk(5);}
+		else if (numcapt==4 && virage==22016){
+			sauter=0;} // retour à la regulation normal
+		dly_tsk(5);
+	}
 	
 }
 