Index: branch/bacher/Emb_App/SessionM32C_E8a_system.hsf
===================================================================
--- branch/bacher/Emb_App/SessionM32C_E8a_system.hsf	(revision 293)
+++ branch/bacher/Emb_App/SessionM32C_E8a_system.hsf	(revision 294)
@@ -83,7 +83,7 @@
 "{4B022541-3E95-11D7-909C-00201898052D}ElfDwarf2Objects" "1" 
 "{4B022541-3E95-11D7-909C-00201898052D}LoadModule0OBJ_ELFDWARF2_ARRAY_EXPAND_LIMIT" "-1" 
 "{4B022541-3E95-11D7-909C-00201898052D}LoadModule0OBJ_STATUS_OF_EBD_CMD" "0" 
-"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRCtrlViews" "1" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRCtrlViews" "2" 
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0EnableRRam" "0" 
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType" "2" 
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column0" "4" 
@@ -138,11 +138,66 @@
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2StatusBarMode0" "1" 
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2StatusBarMode1" "1" 
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0Sampling" "100" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1EnableRRam" "0" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType" "2" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode0Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode0Column1" "11" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode0Column2" "5" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode0Column3" "19" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode0Column4" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode0Column5" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode0Column6" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode0Column7" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode0Column8" "9" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode1Column0" "5" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode1Column1" "130" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode2Column0" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode2Column1" "35" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode3Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode3Column1" "29" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode3Column2" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode3Column3" "91" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode4Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode4Column1" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode4Column2" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode4Column3" "113" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode5Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode5Column1" "21" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode5Column2" "55" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode5Column3" "55" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode6Column0" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode6Column1" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode6Column2" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode6Column3" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode6Column4" "53" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode6Column5" "53" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode7Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode7Column1" "11" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode7Column2" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode7Column3" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode7Column4" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode7Column5" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode8Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode8Column1" "11" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode8Column2" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode8Column3" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode9Column0" "9" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode9Column1" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode9Column2" "11" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode9Column3" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode9Column4" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode9Column5" "9" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2ColumnSizeMode9Column6" "81" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2MrMode" "0" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2StatusBarMode0" "1" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1MrType2StatusBarMode1" "1" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd1Sampling" "100" 
 "{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWndInstanceKey0" "{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWndInstanceKey1" "{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_DENORMAL_MODE" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_ROUND_MODE" "0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000000001" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "00000000000000C0" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_10" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_11" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_12" "0000000000000000" 
@@ -149,11 +204,11 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000512" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF32EF" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF35C9" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFF800" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000A48" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "000000000000084C" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "000000000000FFFF" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000A7C" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "0000000000000880" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "00000000000000C0" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
@@ -172,8 +227,8 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "000000000000036A" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000007" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000FE0000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000A48" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000120012" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000A7C" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000512" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
@@ -213,7 +268,21 @@
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0002_SCOPE" "Current Scope," 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0003" "comm.data.val, 10, 0, P, Col, Hex, N" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0003_SCOPE" "Current Scope," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "4" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0004" "numcapt, 1, 0, P, Col, Hex, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0004_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0005" "colcapt, 1, 0, P, Col, Hex, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0005_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0006" "retour_C, 1, 0, P, Col, Hex, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0006_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0007" "i_tremplin, 1, 0, P, Col, Hex, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0007_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0008" "i, 1, 0, P, Col, Hex, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0008_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0009" "retour_M, 1, 0, P, Col, Bin, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0009_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0010" "num_piste, 1, 0, P, Col, Hex, MA" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0010_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "11" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth0" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth1" "150" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth12" "200" 
@@ -285,10 +354,11 @@
 "Help" "TOOLBAR 0" 59419 2 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
 "{WK_00000001_CmdLine}" "WINDOW" 59422 0 1 "0.07" 365 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
 "{WK_00000001_DISASSEMBLY}" "WINDOW" 0 0 0 "0.00" 0 -4 -30 948 486 9 0 "" "0.0" 
-"{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.12" 365 0 0 350 200 18 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
+"{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.11" 365 0 0 350 200 18 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
 "{WK_00000001_MEMORY}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 1 "0.23" 365 2 -1 350 200 2065 0 "42202|42203|42204|42233|<<separator>>|42206|42205|42230|42229|42207|<<separator>>|42208|42209|42210|49076|42228|42227|<<separator>>|42231|42232|42234|42235|<<separator>>|42211|<<separator>>|32796|32797" "0.0" 
-"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 2 "0.77" 365 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
-"{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 3 "0.11" 365 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
+"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 2 "0.52" 365 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
+"{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system0" "WINDOW" 59422 0 3 "0.28" 365 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
+"{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 4 "0.10" 365 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
 "{WK_00000001_REGISTERS}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59421 0 0 "1.00" 236 0 0 350 200 2065 0 "" "0.0" 
 "{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59421 0 0 "1.00" 587 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32772|32773|<<separator>>|32786|<<separator>>|32810|32811" "0.0" 
 "{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 308 0 0 350 200 18 0 "" "0.0" 
@@ -318,9 +388,9 @@
 "E:\tp_info6_2018_bacher\tp_info6\Emb_App\programme_principal_etud.c" 
 "E:\tp_info6_2018_bacher\tp_info6\Emb_App\crt0mr.a30" 
 "E:\tp_info6_2018_bacher\tp_info6\Emb_App\conf_noyau.cfg" 
+"E:\tp_info6_2018_bacher\tp_info6\bsp\periph.c" 
+"E:\tp_info6_2018_bacher\tp_info6\bsp\uart0.c" 
 "E:\tp_info6_2018_bacher\tp_info6\Emb_App\Debug\mr308.inc" 
-"E:\tp_info6_2018_bacher\tp_info6\bsp\uart0.c" 
-"E:\tp_info6_2018_bacher\tp_info6\bsp\periph.c" 
 [TARGET_NAME]
 "M32C E8a SYSTEM" "" 0 
 [STATUSBAR_STATEINFO_VD1]
@@ -367,5 +437,6 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 93576520 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 95603768 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"e:\tp_info6_2018_bacher\tp_info6\emb_app\programme_principal_etud.c" 332 16725198 0 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/bacher/Emb_App/programme_principal_etud.c
===================================================================
--- branch/bacher/Emb_App/programme_principal_etud.c	(revision 293)
+++ branch/bacher/Emb_App/programme_principal_etud.c	(revision 294)
@@ -137,22 +137,20 @@
 int i_tremplin=0; //booléen : 1=ligne du tremplin 0=autres lignes
 int i_ralenti=0;
 int i=0; //booléen : 1=accélération avant le tremplin et désactivation de la rotation des roues 0= fonctionnement normal
-int retour_M;
-int num_piste=0;
-int col_feu=0;
-int mode=0;
+int retour_M; //retour du périphérique M
+int num_piste=0; //contient l'identifiant de la piste
+int col_feu=0; //contient la couleur du feu
+int mode=0; //mode de ralentissemennt dans les virages
 FLGPTN flag_capt;
 FLGPTN flag_pist;
 
 CanFrame vit_roue; //canal de commande de la vitesse
-CanFrame capteur;
+CanFrame capteur; 
 CanFrame piste;
 
 void demarre()
 {
 	dly_tsk(2000);
-
-
 	piste.data.id='M';
   	piste.data.rtr=1; 
 	periph[ADDR('M')].ev=0x04;
@@ -162,24 +160,25 @@
 	retour_M=periph[ADDR('M')].val;
 	num_piste=retour_M & 0x007F;
 	switch(num_piste){
-		case 0: //piste noire
+		case 4: //piste noire
 			vitesse=40;
 			vitesse_virage=30;
 			sta_tsk(ID_capteur);
+			mode=0;
 			break;
 		case 1: //piste verte
-			vitesse=70;
+			vitesse=75;
 			vitesse_virage=30;
-			mode=1;
+			mode=0;
 			break;
 		case 2: //piste bleue
-			vitesse=50;
+			vitesse=60;
 			vitesse_virage=30;
-			mode=1;	
+			mode=0;	
 			sta_tsk(ID_capteur);	
 			break;
 		case 3: //piste rouge
-			vitesse=40;
+			vitesse=60;
 			vitesse_virage=30;
 			mode=0;
 			sta_tsk(ID_capteur);
@@ -213,7 +212,8 @@
 	}
 }
 
-int calcul_virage(int a){
+int calcul_virage(int a) //modifie la vitesse dans les virages
+{
 	if (mode==0){
 		if (a>-30 && a<30)	return vitesse;
 		else return vitesse_virage;
@@ -308,50 +308,102 @@
 {
 	while(1){
 		
-	capteur.data.id='C';
-    capteur.data.rtr=1; 
-	periph[ADDR('C')].ev=0x03;
-	snd_dtq(CanTx, capteur.msg);
-	wai_flg (ev_periph, 0x03, TWF_ANDW, &flag_capt);
+		capteur.data.id='C';
+		capteur.data.rtr=1; 
+		periph[ADDR('C')].ev=0x03;
+		snd_dtq(CanTx, capteur.msg);
+		wai_flg (ev_periph, 0x03, TWF_ANDW, &flag_capt);
 	
-	retour_C=periph[ADDR('C')].val;
-	numcapt=retour_C & 0x00ff;
-	colcapt=retour_C & 0xff00;
+		retour_C=periph[ADDR('C')].val;
+		numcapt=retour_C & 0x00ff;
+		colcapt=retour_C & 0xff00;
+
+//CAPTEURS POUR LA PISTE ROUGE	
+		if (retour_C==0x5603 && i==0 && num_piste==3){ //si on passe le capteur avant le tremplin
+			i++;
+			dly_tsk(1500);
+			i_tremplin=1;
+			vit_roue.data.val=45; 
+			snd_dtq (CanTx,vit_roue.msg);
+			dly_tsk(1000);
+			vit_roue.data.val=20; 
+		  	snd_dtq (CanTx,vit_roue.msg);
+		}
 	
-	if (retour_C==0x5603 && i==0 && num_piste==3){ //si on passe le capteur avant le tremplin
-		i++;
-		dly_tsk(1500);
-		i_tremplin=1;
-		vit_roue.data.val=45; 
-		snd_dtq (CanTx,vit_roue.msg);
-		/*dly_tsk(500);
-		vit_roue.data.val=30; 
-	  	snd_dtq (CanTx,vit_roue.msg);*/
+		if (retour_C==0x4203 && num_piste==3){ //si on passe le capteur après le tremplin
+			i_tremplin=0;
+			i_ralenti=1;
+			vit_roue.data.val=20; 
+		  	snd_dtq (CanTx,vit_roue.msg);
+			i=0;
+		}
+		if (retour_C==0x5604 && num_piste==3){
+			vit_roue.data.val=vitesse; 
+		  	snd_dtq (CanTx,vit_roue.msg);
+			i_ralenti=0;
+		}
+/*	
+//CAPTEURS POUR LA PISTE BLEUE
+		if (retour_C==0x5604 & num_piste==2){ //avant la bosse de la piste bleue
+			vit_roue.data.val=40;
+			snd_dtq (CanTx,vit_roue.msg);
+			i_ralenti=1;
+		}	
+		if (retour_C==0x4204 & num_piste==2){ //après la bosse de la piste bleue
+			vit_roue.data.val=vitesse; 
+		  	snd_dtq (CanTx,vit_roue.msg);
+			i_ralenti=0;
+		}	
+*/	
+//CAPTEURS POUR LA PISTE NOIRE
+		if (retour_C==0x5601 && num_piste==4 && i==0){ //esquive des tonneaux
+			i_tremplin=1;
+			dly_tsk(1000);
+			i_tremplin=0;
+			cons_roue=500;
+			i++;
+		}
+		if (retour_C==0x4a01 && num_piste==4){
+			cons_roue=700;
+			i=0;
+		}
+		if (retour_C==0x5602 && num_piste==4 && i==0){ //avant la bosse de la piste noire
+			dly_tsk(2000);
+			i++;
+			i_tremplin=1;
+		}	
+		if (retour_C==0x2202 && num_piste==4){ //après la bosse de la piste noire
+			vit_roue.data.val=vitesse; 
+		  	snd_dtq (CanTx,vit_roue.msg);
+			i_tremplin=0;
+			i=0;
+		}
+		if (retour_C==0x5603 && i==0 && num_piste==4){ //si on passe le capteur avant le tremplin
+			i++;
+			dly_tsk(1500);
+			i_tremplin=1;
+			vit_roue.data.val=45; 
+			snd_dtq (CanTx,vit_roue.msg);
+		}
+	
+		if (retour_C==0x4203 & num_piste==4){ //si on passe le capteur après le tremplin
+			i_tremplin=0;
+			i_ralenti=1;
+			vit_roue.data.val=20; 
+		  	snd_dtq (CanTx,vit_roue.msg);
+			i=0;
+		}
+		
+		if (retour_C==0x5604 & num_piste==4){
+			vit_roue.data.val=vitesse; 
+		  	snd_dtq (CanTx,vit_roue.msg);
+			i_ralenti=0;
+		}
+	
+		dly_tsk(20);
+		
 	}
-	if (retour_C==0x4203 & num_piste==3){ //si on passe le capteur après le tremplin
-		i_tremplin=0;
-		i_ralenti=1;
-		vit_roue.data.val=20; 
-	  	snd_dtq (CanTx,vit_roue.msg);
-		i=0;
-	}
-	if (retour_C==0x5604 & num_piste==3){
-		vit_roue.data.val=vitesse; 
-	  	snd_dtq (CanTx,vit_roue.msg);
-		i_ralenti=0;
-	}
-	if (retour_C==0x5604 & num_piste==2){
-		vit_roue.data.val=15;
-		snd_dtq (CanTx,vit_roue.msg);
-		i_ralenti=1;
-	}	
-	if (retour_C==0x4204 & num_piste==2)
-		vit_roue.data.val=vitesse; 
-	  	snd_dtq (CanTx,vit_roue.msg);
-		i_ralenti=0;
-	}	
-	dly_tsk(20);
-	}
+}
 
 
 void main()
@@ -359,7 +411,7 @@
 	ports_mcu();
     lcd_init();
 	periph_init();
-	periph_nom("#AutoTest*");
+	periph_nom("#Le_velo*");
 
     can_init();
     clavier_init(1);